//
// TourUnit.m
// Project
//
// Created by 杨殷杭 on 17/3/12.
//
//

#import "TourUnit.h"
#if DEBUG
 #import "Lang.h"
 #import "BeanUtils.h"
 #import <BlocksKit/BlocksKit+UIKit.h>
 #import <LoremIpsum/LoremIpsum.h>
 #import <PureLayout/PureLayout.h>
 #import "Utility.h"
 #import "PerlWS.h"
 #import "TourSearchBoxViewController.h"
 #import "TourSearchDetailViewController.h"
 #import "TourSearchReviewDetailViewController.h"
 #import "TourSearchReviewListViewController.h"
 #import "AppUnitSubclass.h"
 #import "TourComboBoxViewController.h"
#endif

@implementation TourUnit

+ (UIViewController *)simulatedViewController {
#if DEBUG
	// [self stubRequest];
	if (NO) {
		TourSearchBoxViewController *viewController = [[TourSearchBoxViewController alloc] init];
		return [self wrappingNavigationControllerPushingViewController:viewController atTop:YES];
	} else if (NO) {
		TourSearchDetailViewController *viewController = [[TourSearchDetailViewController alloc] init];
		viewController.tourCode = @"855-478";
		return [self wrappingNavigationControllerPushingViewController:viewController atTop:YES];
	} else if (NO) {
		TourSearchReviewListViewController *viewController = [[TourSearchReviewListViewController alloc] init];
		viewController.reviewTotal = abs((int)[LoremIpsum word].hash);
		viewController.tourCode = @"855-478";
		return [self wrappingNavigationControllerPushingViewController:viewController atTop:YES];
	} else if (NO) {
		TourSearchReviewDetailViewController *viewController = [[TourSearchReviewDetailViewController alloc] init];
		viewController.tourCode = @"855-478";
		// viewController.isOneDay = YES;
		return [self wrappingNavigationControllerPushingViewController:viewController atTop:YES];
	}else if (NO){
		TourComboBoxViewController *viewController = [[TourComboBoxViewController alloc] init];
		return [self wrappingNavigationControllerPushingViewController:viewController atTop:YES];
	}
#endif
	return nil;
}

@end
